Skip to main content
POST
/
v1
/
portfolios
/
{portfolio_id}
/
staking
/
unstake
Request to unstake currency across a portfolio
curl --request POST \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/staking/unstake \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotency_key": "<string>",
  "currency_symbol": "<string>",
  "amount": "<string>",
  "metadata": {
    "external_id": "<string>"
  },
  "validator_provider": "VALIDATOR_PROVIDER_UNSPECIFIED"
}
'
{
  "activity_id": "<string>",
  "transaction_id": "<string>"
}

Path Parameters

portfolio_id
string
required

The portfolio ID

Body

application/json
idempotency_key
string
required

The client generated idempotency key (uuid required) for requested execution. Subsequent requests using the same key will not create new transactions.

currency_symbol
string
required

The currency symbol to unstake

amount
string

The quantity of the chosen currency to unstake

metadata
object
validator_provider
enum<string>
default:VALIDATOR_PROVIDER_UNSPECIFIED

ValidatorProvider enumerates the ETH validator service providers that PPA accepts on PortfolioStakingUnstakeRequest.validator_provider. The enum names map 1:1 to the display names returned by ISS GetUsedValidators (service_provider field) and shown in the Prime UI. Keep in sync with staking/internal/asset/ethereum.mapServiceProviderToDisplayName.

Available options:
VALIDATOR_PROVIDER_UNSPECIFIED,
VALIDATOR_PROVIDER_COINBASE_CLOUD,
VALIDATOR_PROVIDER_MAVAN,
VALIDATOR_PROVIDER_FIGMENT,
VALIDATOR_PROVIDER_CODEFI,
VALIDATOR_PROVIDER_ATTESTANT,
VALIDATOR_PROVIDER_GALAXY

Response

200 - application/json

A successful response.

activity_id
string

The ID for the created activity

transaction_id
string

The ID for the created transaction